CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] [SOLVED] Some packages could not be installed in OpenFOAM 2.3.1 in Ubuntu 14.04 LTS

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree3Likes
  • 3 Post By yardsail

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   April 20, 2015, 11:50
Default [SOLVED] Some packages could not be installed in OpenFOAM 2.3.1 in Ubuntu 14.04 LTS
  #1
New Member
 
Join Date: Oct 2014
Posts: 3
Rep Power: 11
yardsail is on a distinguished road
Hello,

Following the instructions for installing OpenFOAM 2.3.1 Deb pack installation:
http://www.openfoam.org/download/ubuntu.php

At step 3 Install OpenFOAM (231 in the name refers to version 2.3.1):

sudo apt-get install openfoam231

I get the following installation problem:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
openfoam231 : Depends: libcgal-dev but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Any ideas how to resolve this installation issue?


Update - Followed the steps here to fix broken packages:
http://www.upubuntu.com/2013/05/how-...ges-using.html

Installed OK after this.
wyldckat, Jericho and Peida like this.

Last edited by yardsail; April 20, 2015 at 12:40. Reason: Found solution
yardsail is offline   Reply With Quote

Reply

Tags
broken, dependencies, installation, packages, unmet

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[OpenFOAM.org] Paraview not found when installing OpenFoam to Ubuntu 14.04 tabsquare OpenFOAM Installation 75 December 30, 2017 11:21
[OpenFOAM.org] Using OpenFOAM 2.3.0 from Deb pack in Ubuntu 14.04 + ParaView 5 from OpenFOAM 4.1 ad2eb OpenFOAM Installation 12 May 28, 2017 14:30
Problems with OpenFOAM 2.3.0 on Ubuntu 14.04 smallzilla OpenFOAM Installation 15 September 14, 2014 12:11
How to Install OpenFOAM on 64 Ubuntu 9.04 hansel OpenFOAM Installation 62 March 19, 2010 14:43
Adventure of fisrst openfoam installation on Ubuntu 710 jussi OpenFOAM Installation 0 April 24, 2008 14:25


All times are GMT -4. The time now is 03:09.